<div
  *transloco="let t"
  [ngClass]="{
    'chip-list-category-selected': currentState === 'categorySelected',
    'chip-list-row': currentState === 'allCategoriesSelected',
    'chip-list-column': [
      'initial',
      'modalOpen',
      'categoryDetailsSelected',
    ].includes(currentState),
  }"
  class="chip-list"
>
  @if (isNetworkConnected) {
    @if (currentState === 'initial') {
      <button
        class="mainmap-button"
        (click)="openFilterModal()"
        [attr.aria-label]="'Soest'"
      >
        <p>Soest</p>
        <lib-general-icon
          [name]="'chevron_right'"
          [size]="iconFontSize.large"
        ></lib-general-icon>
      </button>
    } @else if (currentState === 'modalOpen') {
      <lib-module-map-buttons></lib-module-map-buttons>
    } @else if (currentState === 'allCategoriesSelected') {
      <div class="bottom-row">
        <div class="bottom-column">
          <div class="custom-component-container">
            <lib-module-map-buttons></lib-module-map-buttons>
          </div>
          <button
            class="open-filter-button"
            (click)="openFilterModal()"
            [attr.aria-label]="t('map.chips.explore_soest')"
            [attr.data-cy]="'open-filter-modal-button'"
          >
            <p>{{ t('map.chips.explore_soest') }}</p>
            <lib-general-icon
              name="keyboard_arrow_right"
              [size]="iconFontSize.large"
            ></lib-general-icon>
          </button>
        </div>
      </div>
    } @else if (currentState === 'categorySelected') {
      <div class="bottom-row">
        <div class="bottom-column">
          <lib-module-map-buttons></lib-module-map-buttons>
          <button
            class="mainmap-back-button soest-back-button"
            (click)="onResetToAllCategories()"
            [attr.aria-label]="t('map.category_filter.title')"
          >
            <lib-general-icon
              name="chevron_left"
              [size]="iconFontSize.large"
            ></lib-general-icon>
            <p>{{ t('map.category_filter.title') }}</p>
          </button>
        </div>
        <button
          class="mainmap-button"
          (click)="openFilterModal()"
          [attr.aria-label]="selectedCategoryName"
        >
          <p>{{ selectedCategoryName }}</p>
          <lib-general-icon
            name="keyboard_arrow_up"
            [size]="iconFontSize.large"
          ></lib-general-icon>
        </button>
      </div>
    } @else if (currentState === 'categoryDetailsSelected') {
      <div class="bottom-row">
        <div class="bottom-column">
          <lib-module-map-buttons></lib-module-map-buttons>
          <button
            class="mainmap-back-button soest-back-button"
            (click)="onResetToAllCategories()"
            [attr.aria-label]="t('map.category_filter.title')"
          >
            <lib-general-icon
              name="chevron_left"
              [size]="iconFontSize.large"
            ></lib-general-icon>
            <p>{{ t('map.category_filter.title') }}</p>
          </button>
        </div>
        <button
          class="mainmap-button"
          (click)="openFilterModal()"
          [attr.aria-label]="selectedCategoryName"
        >
          <p>{{ selectedCategoryName }}</p>
          <lib-general-icon
            name="keyboard_arrow_up"
            [size]="iconFontSize.large"
          ></lib-general-icon>
        </button>
      </div>
    }
  } @else {
    <lib-module-map-buttons></lib-module-map-buttons>
  }
</div>
